Subject: Re: Status of Link header

From: Mark Nottingham <[email-masked]>
Date: Thu, 2 Oct 2008 14:55:03 +1000

...and I just tripped across a use case myself.

Right now, draft-nottingham-cache-channels defines the 'group' Cache- 
Control directive. E.g.,

Cache-Control: group="/foo"

tells any interested party that when /foo changes, this resource does  
as well. However, 'group' isn't a terribly descriptive name, and since  
it's a link, it might be more appropriate (and reusable) as

Link: </foo>; rev="invalidates"

which means "the current resource is invalidated by /foo", giving us  
nice wiggle room for "the current resource *invalidates* /bar" with:

Link: </bar>; rel="invalidates"

This avoids defining two new CC directives...

On 22/09/2008, at 9:55 PM, Julian Reschke wrote:

>
> Mark Nottingham wrote:
>> Forgot to forward this...
>> Begin forwarded message:
>>> From: "Tantek Celik" <[email-masked]>
>>> Date: 12 September 2008 6:53:53 PM
>>> To: "Mark Nottingham" <[email-masked]>
>>> Subject: Re: Status of Link header
>>> Reply-To: [email-masked]
>>>
>>> FWIW I'd suggest *not* including the rev attribute due to rampant  
>>> author misunderstanding/misuse. We've decided to deprecate it  
>>> microformats and not use it for anything new:
>>>
>>> http://microformats.org/wiki/rel-faq#Should_rev_even_be_used
>
> I agree that "rev" is problematic.
>
> However, it *is* in HTML4 and RFC2068, so I think it would be better  
> to keep it in.
>
> If people need "rev" (when there's no inverse relation defined),  
> they will use it anyway, right?
>
> > ...
>
> BR, Julian
>

--
Mark Nottingham       [email-masked]